High-Level Data Reduction Library: catalogue/tests/hdrl_cat_conf-test.c File Reference

High-Level Data Reduction Library 1.6.0 High-Level data reduction routines for ESO pipelines

Loading...
Searching...
No Matches
Macros | Functions
hdrl_cat_conf-test.c File Reference
`#include <cpl_test.h>`
`#include "../hdrl_cat_conf.h"`
`#include "../hdrl_cat_table.h"`
`#include "hdrl_types.h"`
Include dependency graph for hdrl_cat_conf-test.c:

## Macros
#define | NTEST 10

## Functions
void | fill_plist (cpl_propertylist *pl)
| Fill a propertylist with the values that it needed for wcs.
cpl_image * | create_gauss (double dx, double dy, double fwhm)
| Create a gaussian image.
cpl_error_code | hdrl_catalogue_hdrl_catalogue_conf_basic (void)
| Check hdrl_catalogue_conf() in various conditions.
cpl_error_code | hdrl_catalogue_hdrl_catalogue_conf_backsub (void)
| Check background subtraction of hdrl_catalogue_conf() in various conditions.
cpl_error_code | test_gaussians (double dx, double dy, double fwhm)
int | main (void)
| Unit tests of hdrl_catalogue_conf in the catalogue module.

## Macro Definition Documentation

## ◆ NTEST

#define NTEST 10

## Function Documentation

## ◆ create_gauss()

cpl_image * create_gauss | ( | double | dx,
|  | double | dy,
|  | double | fwhm
| ) |  |

Create a gaussian image.

Returns
  cpl_image

## ◆ fill_plist()

void fill_plist | ( | cpl_propertylist * | pl | ) |

Fill a propertylist with the values that it needed for wcs.

## ◆ hdrl_catalogue_hdrl_catalogue_conf_backsub()

cpl_error_code hdrl_catalogue_hdrl_catalogue_conf_backsub | ( | void |  | ) |

Check background subtraction of hdrl_catalogue_conf() in various conditions.

Returns
  cpl_error_code

## ◆ hdrl_catalogue_hdrl_catalogue_conf_basic()

cpl_error_code hdrl_catalogue_hdrl_catalogue_conf_basic | ( | void |  | ) |

Check hdrl_catalogue_conf() in various conditions.

Returns
  cpl_error_code

## ◆ main()

int main | ( | void |  | ) |

Unit tests of hdrl_catalogue_conf in the catalogue module.

## ◆ test_gaussians()

cpl_error_code test_gaussians | ( | double | dx,
|  | double | dy,
|  | double | fwhm
| ) |  |